export class UserEmojis1783148000000 {
    name = "UserEmojis1783148000000";
    async up(queryRunner) {
        await queryRunner.query(`CREATE TABLE "user_emoji" ("id" character varying(32) NOT NULL, "createdAt" TIMESTAMP WITH TIME ZONE NOT NULL, "name" character varying(128) NOT NULL, "userId" character varying(32) NOT NULL, "originalUrl" character varying(512) NOT NULL, "publicUrl" character varying(512) NOT NULL DEFAULT '', "type" character varying(64), "width" integer, "height" integer, CONSTRAINT "PK_6cae1a4f12c059a9f04f4fc6335" PRIMARY KEY ("id"))`);
        await queryRunner.query(`CREATE INDEX "IDX_f60ba1b11d0c9d945ad6093339" ON "user_emoji" ("name")`);
        await queryRunner.query(`CREATE INDEX "IDX_800e361f3e733b7c1682234ee0" ON "user_emoji" ("userId")`);
        await queryRunner.query(`CREATE UNIQUE INDEX "IDX_41a4ec233a7201def6c470d3c9" ON "user_emoji" ("name", "userId")`);
    }
    async down(queryRunner) {
        await queryRunner.query(`DROP INDEX "public"."IDX_41a4ec233a7201def6c470d3c9"`);
        await queryRunner.query(`DROP INDEX "public"."IDX_800e361f3e733b7c1682234ee0"`);
        await queryRunner.query(`DROP INDEX "public"."IDX_f60ba1b11d0c9d945ad6093339"`);
        await queryRunner.query(`DROP TABLE "user_emoji"`);
    }
}
